Skip to content

List tasks

GET
/api/tasks

Authorizations

bearerAuth

API token created via POST /api/tokens or the db:create-token CLI command

Type
HTTP (bearer)

Parameters

Query Parameters

done

Filter by completion status (default false)

Type
boolean
project_id
Type
integer
label

Filter by label name

Type
string
search

Search in title and notes

Type
string
trashed
Type
boolean
archived
Type
boolean
overdue
Type
boolean
recurring
Type
boolean
one_off
Type
boolean
limit
Type
integer
Default
200
offset
Type
integer
Default
0

Responses

List of tasks

application/json
JSON
{
"data": [
{
"id": 0,
"user_id": 0,
"project_id": 0,
"title": "string",
"original_title": "string",
"done": true,
"done_at": "string",
"priority": 0,
"due_at": "string",
"rrule": "string",
"recurrence_mode": "string",
"anchor_time": "string",
"anchor_dow": 0,
"anchor_dom": 0,
"original_due_at": "string",
"auto_snooze_minutes": 0,
"deleted_at": "string",
"archived_at": "string",
"labels": [
"string"
],
"notes": "string",
"completion_count": 0,
"snooze_count": 0,
"first_completed_at": "string",
"last_completed_at": "string",
"created_at": "string",
"updated_at": "string",
"is_recurring": true,
"is_snoozed": true
}
]
}

Samples

Powered by VitePress OpenAPI